# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "idax"
version = "0.2.4"
authors = ["Kenan Sulayman"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Safe, idiomatic Rust bindings for the IDA SDK via idax"
homepage = "https://github.com/19h/idax"
readme = "README.md"
keywords = [
    "ida",
    "ida-pro",
    "reverse-engineering",
    "disassembler",
    "binary-analysis",
]
categories = [
    "api-bindings",
    "development-tools",
]
license = "MIT"
repository = "https://github.com/19h/idax"
resolver = "2"

[package.metadata.docs.rs]
rustdoc-args = [
    "--cfg",
    "docsrs",
]
targets = [
    "x86_64-unknown-linux-gnu",
    "x86_64-pc-windows-msvc",
    "x86_64-apple-darwin",
    "aarch64-apple-darwin",
]

[lib]
name = "idax"
path = "src/lib.rs"

[dependencies.bitflags]
version = "2"

[dependencies.idax-sys]
version = "0.2.4"

[dependencies.thiserror]
version = "2"
